PUPPET-INSTRUMENTATION_PROBE(8)

NAME
puppet-instrumentation_probe - Manage instrumentation probes.

SYNOPSIS
puppet instrumentation_probe action [--terminus TERMINUS] [--extra HASH]

DESCRIPTION
This subcommand enables/disables or list instrumentation listeners.

OPTIONS
Note that any configuration parameter that's valid in the configuration file is also a valid long argument, although it may or may not be relevant to the present action. For example, server and run_mode are valid configuration parameters, so you can specify --server <servername>, or --run_mode <runmode> as an argument.

See the configuration file documentation at http://docs.puppetlabs.com/references/stable/configuration.html for the full list of acceptable parameters. A commented list of all configuration options can also be generated by running puppet with --genconfig.

--render-as FORMAT
    The format in which to render output. The most common formats are json, s (string), yaml, and console, but other options such as dot are sometimes available.

--verbose
    Whether to log verbosely.

--debug
    Whether to log debug information.

--extra HASH
    A terminus can take additional arguments to refine the operation, which are passed as an arbitrary hash to the back-end. Anything passed as the extra value is just send direct to the back-end.

--terminus TERMINUS
    Indirector faces expose indirected subsystems of Puppet. These subsystems are each able to retrieve and alter a specific type of data (with the familiar actions of find, search, save, and destroy) from an arbitrary number of pluggable backends. In Puppet parlance, these backends are called terminuses.

    Almost all indirected subsystems have a rest terminus that interacts with the puppet master's data. Most of them have additional terminuses for various local data models, which are in turn used by the indirected subsystem on the puppet master whenever it receives a remote request.

    The terminus for an action is often determined by context, but occasionally needs to be set explicitly. See the "Notes" section of this face's manpage for more details.

ACTIONS

destroy - API only: disable all instrumentation probes.
    SYNOPSIS

    puppet instrumentation_probe destroy [--terminus TERMINUS] [--extra HASH] dummy

    DESCRIPTION

    API only: disable all instrumentation probes.

disable - Disable all instrumentation probes.
    SYNOPSIS

    puppet instrumentation_probe disable [--terminus TERMINUS] [--extra HASH] dummy

    DESCRIPTION

    Disable all instrumentation probes. After being disabled, no listeners will receive instrumentation notifications.

    RETURNS

    Nothing.

enable - Enable all instrumentation probes.
    SYNOPSIS

    puppet instrumentation_probe enable [--terminus TERMINUS] [--extra HASH] dummy

    DESCRIPTION

    Enable all instrumentation probes. After being enabled, all enabled listeners will start receiving instrumentation notifications from the probes.

    RETURNS

    Nothing.

find - Invalid for this subcommand.
    SYNOPSIS

    puppet instrumentation_probe find [--terminus TERMINUS] [--extra HASH] key

    DESCRIPTION

    Invalid for this subcommand.

info - Print the default terminus class for this face.
    SYNOPSIS

    puppet instrumentation_probe info [--terminus TERMINUS] [--extra HASH]

    DESCRIPTION

    Prints the default terminus class for this subcommand. Note that different run modes may have different default termini; when in doubt, specify the run mode with the '--run_mode' option.

save - API only: enable all instrumentation probes.
    SYNOPSIS

    puppet instrumentation_probe save [--terminus TERMINUS] [--extra HASH] dummy

    DESCRIPTION

    API only: create or overwrite an object. As the Faces framework does not currently accept data from STDIN, save actions cannot currently be invoked from the command line.

search - Retrieve all probe statuses.
    SYNOPSIS

    puppet instrumentation_probe search [--terminus TERMINUS] [--extra HASH] dummy_text

    DESCRIPTION

    Retrieve all probe statuses.

    RETURNS

    The statuses of all instrumentation probes

    NOTES

    Although this action always returns all instrumentation probes, it requires a dummy search key; this is a known bug.

EXAMPLES
disable

Disable the probes for the running master:

$ puppet instrumentation_probe disable x --terminus rest

enable

Enable the probes for the running master:

$ puppet instrumentation_probe enable x --terminus rest

search

Retrieve the state of the probes running in the remote puppet master:

$ puppet instrumentation_probe search x --terminus rest

NOTES
This subcommand is an indirector face, which exposes find, search, save, and destroy actions for an indirected subsystem of Puppet. Valid termini for this face include:

•   local

•   rest

COPYRIGHT AND LICENSE
Copyright 2011 by Puppet Labs Apache 2 license; see COPYING